#include <stdio.h>
#include <math.h>
#include <string.h>
#include <stdlib.h>

#define IS_CNUM(X) (NULL != strchr("-.0123456789",(X)))

main(argc, argv)
int     argc;
char  **argv;
{
char   *s = argv[1];
char   *t = argv[2];
int     size[2];
double  zone[4];
int     nt;
if (*s == 'N') {
    nt = parse_int(2, &size[0], t);
    printf ("nt=%d size = %d %d\n", nt, size[0], size[1]);
    }
else if (*s == 'D') {
    nt = parse_dbl(4, &zone[0], t);
    printf ("nt=%d zone = %8.2f %8.2f %8.2f %8.2f\n", nt,
            zone[0], zone[1], zone[2], zone[3]);
    }
return 0;
}

int parse_int(n, dst, src)
int     n;      /* tokens */
int    *dst;    /* place to store int */
char   *src;    /* null terminated string */
{
char  xx[0X81];
int     nt = 0;
char   *s, *t;
int     k, mode;
strncpy (&xx[0], src, 0X80);
xx[0X80] = 0;
for (mode =0, t = &xx[0]; *t; t++) {
    k = IS_CNUM (*t);
    switch (2*mode+k) {
    case 0:     break;
    case 1:     /* find a numeric character */
        s = t;  mode = 1;
        break;
    case 2:     /* find a non numeric character */
        *t = 0;
        if (nt >= n) break;
        dst[nt++] = atoi(s);
        mode = 0;
    case 3:     break;  /* do nothing */
        }
    }
if (mode == 1 && nt < n ) dst[nt++] = atoi(s);
return nt;
}

int parse_dbl(n, dst, src)
int     n;      /* tokens */
double *dst;   /* place to store double */
char   *src;    /* null terminated string */
{
char  xx[0X81];
int     nt = 0;
char   *s, *t;
int     k, mode;
strncpy (&xx[0], src, 0X80);
xx[0X80] = 0;
for (mode =0, t = &xx[0]; *t; t++) {
    k = IS_CNUM (*t);
    switch (2*mode+k) {
    case 0:     break;
    case 1:     /* find a numeric character */
        s = t;  mode = 1;
        break;
    case 2:     /* find a non numeric character */
        *t = 0;
        if (nt >= n) break;
        dst[nt++] = atof(s);
        mode = 0;
    case 3:     break;  /* do nothing */
        }
    }
if (mode == 1 && nt < n ) dst[nt++] = atof(s);
return nt;
}









