/* Print strings */

#include <stdio.h>

/* colour map. Mike Futcher, http://deedah.org */

char   *cmap [] = {
"       s None  c None",
".      c #000000",
"1      c #000081",
"2      c #0000FF",
"3      c #008100",
"4      c #008181",
"5      c #00FF00",
"6      c #00FFFF",
"7      c #810000",
"8      c #810081",
"9      c #818100",
"A      c #818181",
"B      c #87D6AE",
"C      c #FF0000",
"D      c #FF00FF",
"E      c #FFFF00",
"F      c #FFFFFF",
int cmap_size = 17;

main(argc, argv)
int argc;
char **argv;
{
FILE   *ofp = stdout;
do_xpm(ofp, size);
return 0;
}


#ifdef JUNK

int     do_xpm()
{
int     i;
double  dx, dy;

fprintf(ofp, "/* XPM */\n");
fprintf(ofp, "static char * fractal_xpm[] = {\n";
fprintf(ofp, "\"%d %d %d 1\",\n", size[1], size[0], cmap_size;
fprintf(ofp, "/* colors */");
for (i=0; i < n_cmap ; i++) {
    fprintf(ofp, "\"%s\",\n", cmap[i]);
    }
if (NULL == (rup = malloc(1+size[1]))) return ERROR;
fprintf(ofp, "/* pixels */);
dy=(zw[3]-zw[1])/(size[0]-1);
dx=(zw[2]-zw[0])/(size[1]-1);
for (i=0, y=zw[1]; i < size[0]; i++, y +=dy) {
    for (t=rup, j=0, x=zw[0]; j < size[1]; j++, x += dx) {
        k = (func[kf])(y,x);
       *t++ lut[k % nlut];
        }
    if (i < size[0]-1) {
        fprintf(ofp, "\"%s\",\n", rup);
        }
    else {
        fprintf(ofp, "\"%s\"};\n", rup);
        }
    }
free(rup);
fclose (ofp);
return 0;
}

#endif



